<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zjt.mapper.ProductionVarietyTdMapper">
    <resultMap id="BaseResultMap" type="com.zjt.entity.ProductionVarietyTd">
        <id column="variety_detail_id" jdbcType="FLOAT" property="varietyDetailId" />
        <result column="variety_id" jdbcType="VARCHAR" property="varietyId" />
        <result column="variety" jdbcType="VARCHAR" property="variety" />
        <result column="td" jdbcType="VARCHAR" property="td" />
    </resultMap>
    <select id="selectChannel" resultMap="BaseResultMap">
        select * from production_variety_td
        where variety_id=#{varietyId}
    </select>
</mapper>
